Umstellung auf PHP 7 & wbblite 1.0.2


#1

Hallöchen ihr Lieben!

Vermutlich kam das Thema schon einmal zur Sprache, die Suchfunktion wollte mir allerdings nichts Brauchbares dazu ausspucken, also verzeiht wenn ihr die Frage womöglich schonmal beantwortet habt :slight_smile:

Da ja schon vor einer Weile die Umstellung auf PHP 7 angekündigt wurde und wbblite 1.0.2. damit angeblich Schwierigkeiten haben wird, wollte ich mal nachhaken, wie genau das in Zukunft aussehen wird? Vor einem Jahr hieß es noch, dass PHP 5 weiterhin parallell angeboten werden wird, aber für wie lange noch? So weit ich weiß gibt es eine ganze Menge Foren, die auf bplaced gehostet werden und mit wbblite 1.0.2. arbeiten. Da könnte es dann dementsprechend eingie Schwierigkeiten geben, wenn von jetzt auf gleich umgestellt wird und man keine Möglichkeit hat vorab mal mit der neuen PHP Version rumzuspielen und auszuprobieren wie genau man die Software umcoden muss, damit alles weiterhin funktioniert :smiley:

LG und schonmal vorab Danke für die Hilfe!


#2

Also soweit ich weiss,wird es in absehbarer Zukunft kein Update auf PHP7 geben.
Der Grund sind eben diese Kompatibilitaetsprobleme,die es bei einigen CMS/Foren gibt.
Dass es parallel angeboten werden soll,hab ich auch mal gelesen.
Aber ich denke,das wird noch eine Weile dauern,bis das alles umgestellt wird.


#3

hallo,

@Chaos_Rising
es wird die Möglichkeit geben die PHP-Version selbst zu wählen, damit man die Kompatibilitätsprobleme bereinigen kann & der Umstieg auf PHP7 einfacher wird. PHP5 wird aber in absehbarer Zeit sein end of life haben (5.5 wird nicht mehr weiter unterstützt von PHP, bei 5.6 gibt es noch drei Jahre Security-Fixes). Dazu gibt es bald Neuigkeiten :>

Zu veralteter Software gibt es generell zu sagen, dass man sich davon ( vor allem aus Sicherheitsgründen) trennen und auf moderne Software setzten sollte. Mir ist durchaus bewusst, dass viele an gewisser Software hängen und diese lieben. Aus Sicherheitsgründen kann man darauf aber irgendwann keine Rücksicht mehr nehmen, gerade bei wbblite oder auch alten Joomla-Versionen kann man nur empfehlen auf moderne Software umzustiegen (bzw. bei Joomla upzudaten). :slight_smile:


PHP Serverversion